package w83a.w83aOperacionesPaso.w83aDocumentacion;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

import w83a.w83aUtilidadesComunes.W83aClsConstantes;

import es.ejie.frmk.presentacion.operacion.paso.Q70ActionPasoOP;
import es.ejie.frmk.presentacion.sesiondatos.Q70ContextoEJIE;

public class W83aAntesVueltaImpugnaciones extends Q70ActionPasoOP{

	
	protected void processOP(Q70ContextoEJIE contexto, ActionErrors errores, ActionMapping mapping,
			ActionForm form, HttpServletRequest request, HttpServletResponse response) throws Exception {
		

		
	}

	protected ActionForward processForward(Q70ContextoEJIE contexto, ActionErrors errors, ActionMapping mapping, 
			ActionForm form, HttpServletRequest request, HttpServletResponse response) throws Exception {
		contexto.set("codSelec",(String)contexto.get("codSelecIrImpugnaciones"));
		contexto.set("strTitleKey","menu.comun.busquedas");
		if (contexto.get("camino").toString().length()==2){
			contexto.set("migas","inicioportal.inicio.documelectoral.documentacionacta");
		}
		else if (contexto.get("camino").toString().length()==3){
			contexto.set("migas","inicioportal.inicio.documelectoral.documentacionpreaviso.documentacionacta");
		}
		String tamanyoListaResults = (String)contexto.get("tamanyoListaResultsAux");
		contexto.set("tamanyoListaResults",tamanyoListaResults);
		int tamano=((String)contexto.get("camino")).length();
		contexto.set("camino", ((String)contexto.get("camino")).substring(0,tamano-1));
		tamano=((String)contexto.get("camino")).length();
		if("A".equals(((String)contexto.get("camino")).substring(tamano-1,tamano))){
			contexto.set("w83aSubOpFlag", "actas");
		}else if("B".equals(((String)contexto.get("camino")).substring(tamano-1,tamano))){
			contexto.set("w83aSubOpFlag", "busqueda");
		}
		contexto.set("migas","inicioportal.inicio.documelectoral");
		contexto.set("modoPantalla",W83aClsConstantes.MODO_BUSQUEDA);
		return mapping.findForward("ok");

	}

}
